<?php declare(strict_types=1);

use PHPUnit\Framework\TestCase;
use App\Notification\Ntfy;
use Ntfy\Client;
use Ntfy\Message;

final class NtfyTest extends TestCase
{
    public function testSend(): void
    {
        $client = $this->createMock(Client::class);
        $sut = new Ntfy($client);
        $client->expects($this->once())->method('send')->with($this->isInstanceOf(Message::class));
        $sut->send('title','text');
    }
}